<?php 
namespace Dugi;

/**
 * Usage:
 * $leadmanager_logger = new Dugi\leadmanager_logger('/var/log/');
 * $leadmanager_logger->add('string');
 * $leadmanager_logger->add(array|object);
 * $leadmanager_logger->save();
 *
 * @author  Dagan Yaakov <admin@dugi.co.il>
 * @since   08/12/2016
 * @update  25/07/2017
 * @link    http://wp.dugi.co.il
 * @version 1.0.0
 */
 
 
class leadmanager_mailer{
	//get_option('admin_email')
	protected $options = array(
		'adminEmail'   		=> '',
        'supportEmail'      => 'support@leadmanager.co.il',
        'ccEmail'  			=> 'admin@dugi.co.il',
    );
	
	protected $LevelsContacts;
	
	public function __construct(array $options = array()){
		$this->LevelsContacts = array( 
			'EMERGENCY' => array($this->options['ccEmail'],$this->options['supportEmail']), 
			'ALERT'     => array($this->options['ccEmail'],$this->options['supportEmail']), 
			'CRITICAL'  => array($this->options['ccEmail'],$this->options['supportEmail']), 
			'ERROR'     => array($this->options['ccEmail'],$this->options['supportEmail']), 
			'WARNING'   => array($this->options['ccEmail'],$this->options['supportEmail'],$this->options['adminEmail']), 
			'NOTICE'    => array($this->options['ccEmail'],$this->options['supportEmail'],$this->options['adminEmail']), 
			'INFO'      => array($this->options['ccEmail'],$this->options['supportEmail']), 
			'DEBUG'     => array($this->options['ccEmail']) 
		  );
	}
	
	public function send($subject = '', $msg = '',$errorLevel = ''){
		if (isset($this->LevelsContacts[$errorLevel]) && is_array($this->LevelsContacts[$errorLevel])){
			$to = $this->LevelsContacts[$errorLevel];
		}
		return @wp_mail($to, $subject, $message);
		
	}

	//leadmanager_mailer->send('תקלה 500','MSG TEXT','INFO');
	 

	
}