<?php
namespace Dugi;
 
class leadmanager_options{
	protected $defaults = array(
		'save_log' => 1,
		'log_expiry_time' => 0,
		'inc_cf7_module' => 1,
		'inc_pojoform_module' => 1,
		'inc_more_module' => 1,
		'cf7_skip_mail' => 0,
	);
	protected $leadmanager_options;
	
	public function __construct(){
		/* php 5.3 error (Notice: Undefined variable: this)
		add_action( 'admin_menu',function(){
			add_options_page( 'LM WordPress - LeadManager', 'LeadManager', 'manage_options', md5('leadmanager_options'), array($this,'leadmanager_options_cb'));
		});*/
		add_action('admin_menu',array($this,'add_options_page'));
	}
	
	public function add_options_page(){
		add_options_page( 'LM WordPress - LeadManager', 'LeadManager', 'manage_options', md5('leadmanager_options'), array($this,'leadmanager_options_cb'));
	}
	
	public function load(){
		$this->leadmanager_options = (array)get_option('leadmanager_options',array());
		if (!$this->leadmanager_options){
			$this->leadmanager_options = wp_parse_args( $this->leadmanager_options, $this->defaults );
		}
		return $this->leadmanager_options;
	}
	
	public function get($key = ''){
		if (!$this->leadmanager_options){
			$this->load();
		}
		
		$key = (string)$key;
		if (isset($this->leadmanager_options[$key])){
			return $this->leadmanager_options[$key];
		}
		return '';
	}
	
	public function update($leadmanager_options){
		$leadmanager_options = (array)$leadmanager_options;
		update_option('leadmanager_options', $leadmanager_options);
		return $this->load();
	}
	
	
	public function leadmanager_options_cb(){
		
		//delete_option('leadmanager_options');
		if (isset($_POST['leadmanager_options_nonce']) && wp_verify_nonce($_POST['leadmanager_options_nonce'], 'leadmanager_options')){
			$leadmanager_options = (isset($_POST['leadmanager_options'])) ? (array)$_POST['leadmanager_options'] : array();
			$leadmanager_options = $this->update($leadmanager_options);
			
			if (wp_get_referer()){
				wp_safe_redirect( wp_get_referer() );
			}

		}

	
	
	
	
	
?>
<div class="wrap">
	<h2>הגדרות תוסף ליד מנג'ר</h2>
	<h3 class="title">הגדרות כלליות</h3>
	
	<form method="post" action="">
		<?php wp_nonce_field( 'leadmanager_options', 'leadmanager_options_nonce' ); ?>
		
		<table class="form-table">
			<tr>
				<th scope="row">שמירת קבצי לוג ותיעוד</th>
				<td>
					<fieldset><legend class="screen-reader-text"><span>שמירת קבצי לוג ותיעוד</span></legend>
					<label title="כן"><input type="radio" name="leadmanager_options[save_log]" value="1" <?php checked( $this->get('save_log'), 1 ); ?> >כן <small> (ברירת מחדל) </small></label><br>
					<label title="לא"><input type="radio" name="leadmanager_options[save_log]" value="0" <?php checked( $this->get('save_log'), 0 ); ?> >לא</label><br>
					</fieldset>
					<p class="description">קבצי לוג מסייעים באיתור תקלות ולידים אבודים</p></td>
				</td>
			</tr>
			<tr>
				<th scope="row"><label for="log_expiry_time">תוקף קבצי לוג ותיעוד</label></th>
				<td>
				<select name="leadmanager_options[log_expiry_time]" id="log_expiry_time">
					<option value="0" <?php selected( $this->get('log_expiry_time'), 0 ); ?> >שמור לנצח</option>
					<option value="31536000" <?php selected( $this->get('log_expiry_time'), 31536000 ); ?> >שמור לשנה</option>
					<option value="2592000" <?php selected( $this->get('log_expiry_time'), 2592000 ); ?> >שמור לחודש</option>
					<option value="604800" <?php selected( $this->get('log_expiry_time'), 604800 ); ?> >שמור לשבוע</option>
				</select>
				<p class="description">לידיעה: בכל יום נוצר קובץ חדש המתעד את פעילות התוסף</p>
				</td>
				</td>
			</tr>
			<tr>
				<th scope="row">תמיכה בתוספים</th>
				<td>
				<fieldset>
					<legend class="screen-reader-text"><span>תמיכה בתוספים</span></legend>
					<label for="inc_cf7_module"><input name="leadmanager_options[inc_cf7_module]" type="checkbox" id="inc_cf7_module" value="1" <?php checked(  $this->get('inc_cf7_module'), 1 ); ?> >Contact Form 7</label> <br>
					<label for="inc_pojoform_module"><input name="leadmanager_options[inc_pojoform_module]" type="checkbox" id="inc_pojoform_module" value="1" <?php checked(  $this->get('inc_pojoform_module'), 1 ); ?> >Pojo Forms</label> <br>
					<label for="inc_more_module"><input name="leadmanager_options[inc_more_module]" type="checkbox" id="inc_more_module" value="1" <?php checked(  $this->get('inc_more_module'), 1 ); ?> >ועוד...</label> <br>
				</fieldset>
				<p class="description">כאן ניתן להפעיל ולבטל תמיכה בתוספים</p>
				</td>
			</tr>
			
		</table>
		
		<h3 class="title">Contact Form 7</h3>
		
		<table class="form-table">
			<tr>
				<th scope="row">ביטול שליחת ליד במייל</th>
				<td>
				<fieldset>
					<legend class="screen-reader-text"><span>ביטול שליחת ליד במייל</span></legend>
					<label for="cf7_skip_mail"><input name="leadmanager_options[cf7_skip_mail]" type="checkbox" id="cf7_skip_mail" value="1" <?php checked( $this->get('cf7_skip_mail'), 1 ); ?>>לבטל משלוח לידים למייל</label> <br>
				</fieldset>
				<p class="description">מבטל את מנגנון שליחת לידים במייל של Contact Form 7</p>
				</td>
			</tr>
		</table>


		<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="שמור שינויים"></p>
	
	</form>

</div>
<?php
	}
}



/*
add_action( 'admin_menu',function(){
	add_options_page( 'LM WordPress - LeadManager', 'LeadManager', 'manage_options', md5('leadmanager_options'), 'leadmanager_options_cb');
});

function get_leadmanager_options($key){
	
}

function _leadmanager_options_defaults($leadmanager_options){
	$defaults = array(
		'save_log' => 1,
		'log_expiry_time' => 0,
		'inc_cf7_module' => 1,
		'inc_pojoform_module' => 1,
		'inc_more_module' => 1,
		'cf7_skip_mail' => 0,
	);
	$leadmanager_options = wp_parse_args( (array)$leadmanager_options, $defaults );
	
	$leadmanager_options['save_log'] 		   = absint($leadmanager_options['save_log']);
	$leadmanager_options['log_expiry_time']	   = absint($leadmanager_options['log_expiry_time']);
	
	$leadmanager_options['inc_cf7_module'] 	   = absint($leadmanager_options['inc_cf7_module']);
	$leadmanager_options['inc_pojoform_module'] = absint($leadmanager_options['inc_pojoform_module']);
	$leadmanager_options['inc_more_module']	   = absint($leadmanager_options['inc_more_module']);
	$leadmanager_options['cf7_skip_mail']	   = absint($leadmanager_options['cf7_skip_mail']);
	
	return $leadmanager_options;
}
function leadmanager_options_cb(){
	//delete_option('leadmanager_options');
	if (isset($_POST['leadmanager_options_nonce']) && wp_verify_nonce($_POST['leadmanager_options_nonce'], 'leadmanager_options')){
		$leadmanager_options = (isset($_POST['leadmanager_options'])) ? (array)$_POST['leadmanager_options'] : array();
		
		$leadmanager_options['save_log'] 	       = (isset($leadmanager_options['save_log'])) ? absint($leadmanager_options['save_log']) : 1;
		$leadmanager_options['log_expiry_time'] 	   = (isset($leadmanager_options['log_expiry_time'])) ? absint($leadmanager_options['log_expiry_time']) : 0;
		
		$leadmanager_options['inc_cf7_module'] 	   = (isset($leadmanager_options['inc_cf7_module'])) ? 1 : 0;
		$leadmanager_options['inc_pojoform_module'] = (isset($leadmanager_options['inc_pojoform_module'])) ? 1 : 0;
		$leadmanager_options['inc_more_module']	   = (isset($leadmanager_options['inc_more_module'])) ? 1 : 0;
		$leadmanager_options['cf7_skip_mail']	   = (isset($leadmanager_options['cf7_skip_mail'])) ? 1 : 0;
		update_option('leadmanager_options', $leadmanager_options); 
		
		if (wp_get_referer()){
			wp_safe_redirect( wp_get_referer() );
		}

	}else{
		$leadmanager_options = _leadmanager_options_defaults(get_option('leadmanager_options',array()));
	}

	
	
	
	
	
?>
<div class="wrap">
	<h2>הגדרות תוסף ליד מנג'ר</h2>
	<h3 class="title">הגדרות כלליות</h3>
	
	<form method="post" action="">
		<?php wp_nonce_field( 'leadmanager_options', 'leadmanager_options_nonce' ); ?>
		
		<table class="form-table">
			<tr>
				<th scope="row">קבצי לוג ותיעוד</th>
				<td>
					<fieldset><legend class="screen-reader-text"><span>קבצי לוג ותיעוד</span></legend>
					<label title="כן"><input type="radio" name="leadmanager_options[save_log]" value="1" <?php checked( $leadmanager_options['save_log'], 1 ); ?> >כן <small> (ברירת מחדל) </small></label><br>
					<label title="לא"><input type="radio" name="leadmanager_options[save_log]" value="0" <?php checked( $leadmanager_options['save_log'], 0 ); ?> >לא</label><br>
					</fieldset>
					<p class="description">קבצי לוג מסייעים באיתור תקלות</p></td>
				</td>
			</tr>
			<tr>
				<th scope="row"><label for="log_expiry_time">שמירת קבצי לוג ותיעוד</label></th>
				<td>
				<select name="leadmanager_options[log_expiry_time]" id="log_expiry_time">
					<option value="0" <?php selected( $leadmanager_options['log_expiry_time'], 0 ); ?> >שמור לנצח</option>
					<option value="31536000" <?php selected( $leadmanager_options['log_expiry_time'], 31536000 ); ?> >שמור לשנה</option>
					<option value="2592000" <?php selected( $leadmanager_options['log_expiry_time'], 2592000 ); ?> >שמור לחודש</option>
					<option value="604800" <?php selected( $leadmanager_options['log_expiry_time'], 604800 ); ?> >שמור לשבוע</option>
				</select>
				<p class="description">לידיעה: בכל יום נוצר קובץ חדש המתעד את פעילות התוסף</p>
				</td>
				</td>
			</tr>
			<tr>
				<th scope="row">תמיכה בתוספים</th>
				<td>
				<fieldset>
					<legend class="screen-reader-text"><span>תמיכה בתוספים</span></legend>
					<label for="inc_cf7_module"><input name="leadmanager_options[inc_cf7_module]" type="checkbox" id="inc_cf7_module" value="yes" <?php checked( $leadmanager_options['inc_cf7_module'], 1 ); ?> >Contact Form 7</label> <br>
					<label for="inc_pojoform_module"><input name="leadmanager_options[inc_pojoform_module]" type="checkbox" id="inc_pojoform_module" value="yes" <?php checked( $leadmanager_options['inc_pojoform_module'], 1 ); ?> >Pojo Forms</label> <br>
					<label for="inc_more_module"><input name="leadmanager_options[inc_more_module]" type="checkbox" id="inc_more_module" value="yes" <?php checked( $leadmanager_options['inc_more_module'], 1 ); ?> >ועוד...</label> <br>
				</fieldset>
				<p class="description">כאן ניתן להפעיל ולבטל תמיכה בתוספים</p>
				</td>
			</tr>
			
		</table>
		
		<h3 class="title">Contact Form 7</h3>
		
		<table class="form-table">
			<tr>
				<th scope="row">ביטול שליחת ליד במייל</th>
				<td>
				<fieldset>
					<legend class="screen-reader-text"><span>ביטול שליחת ליד במייל</span></legend>
					<label for="cf7_skip_mail"><input name="leadmanager_options[cf7_skip_mail]" type="checkbox" id="cf7_skip_mail" value="1" <?php checked( $leadmanager_options['cf7_skip_mail'], 1 ); ?>>לבטל משלוח לידים למייל</label> <br>
				</fieldset>
				<p class="description">מבטל את מנגנון שליחת לידים במייל של Contact Form 7</p>
				</td>
			</tr>
		</table>


		<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="שמור שינויים"></p>
	
	</form>

</div>
<!--
<div id="wpfooter">
		<p id="footer-left" class="alignleft">
			<span id="footer-thankyou">תוסף זה נבנה ע"י <a href="https://he.wordpress.org/">מומחה וורדפרס</a> עבור לידמנג'ר</span> ברשיון פרטי. אין לערוך או לבצע כל שינוי בקבצי המקור.
		</p>
	<div class="clear"></div>
</div>
-->
<?php
	
}
*/