<?php
namespace Dugi;

use Pojo_MetaBox;
/**
 * @author  Dagan Yaakov <admin@dugi.co.il>
 * @since   08/12/2016
 * @link    http://wp.dugi.co.il
 * @version 1.0.0
 */


class leadmanager_pojo_forms_driver{
	
	protected $enable;
	
	public function __construct(){
		global $leadmanager_options;
		$this->enable = (bool)$leadmanager_options->get('inc_cf7_module');
		
		add_action( 'pojo_forms_mail_sent', array($this, 'send_submit_form' ), 10, 3 );
	}
	
	public function send_submit_form( $form_id, $field_values, $files = array() ){
		global $leadmanager_logger,$leadmanager_sender;
		
		$form = get_post( absint( $form_id ) );
		$lm_pojoforms_metadata = get_post_meta ( $form->ID, 'lm_pojoforms_metadata', true );
		$lm_pojoforms_metadata = ($lm_pojoforms_metadata) ? (array)$lm_pojoforms_metadata : array();
		
		if (!isset($lm_pojoforms_metadata['lm_form']) || !isset($lm_pojoforms_metadata['lm_key'])) return;
		
		$shortcode_translate = array();
		$repeater_fields = atmb_get_field_without_type( 'fields', 'form_',  $form->ID );
		foreach(array_keys($repeater_fields) as $key){
			if ( isset($repeater_fields[$key]['shortcode']) && isset($field_values[$key]['value']) ){
				$shortcode = $repeater_fields[$key]['shortcode'];
				$value = $field_values[$key]['value'];
				$shortcode_translate[$shortcode] = $value;
			}
		}unset($field_values,$repeater_fields);
		
		array_walk($lm_pojoforms_metadata, function(&$value,$key) use ($shortcode_translate){
			if (isset($shortcode_translate[$value])){
				$value = $shortcode_translate[$value];
			}
		});
		
		$posted_data = array_filter($lm_pojoforms_metadata, function($value) { return $value !== ''; });
		$posted_data = wp_parse_args( leadmanager_session::get_url_args(),(array)$posted_data );
		$posted_data = wp_parse_args( leadmanager_session::get_protected_args(),(array)$posted_data );
		
		
		$leadmanager_sender->setData($posted_data);
		$location_url = $leadmanager_sender->send();
		
		if ($location_url){
			$cache_key   = md5( 'form_redirect_to' . $form->ID . Pojo_MetaBox::FIELD_TEXT );
			wp_cache_set( $cache_key, $location_url );
		}
	}
	
}