<?php
namespace Dugi;


/**
 * @author  Dagan Yaakov <admin@dugi.co.il>
 * @since   08/12/2016
 * @link    http://wp.dugi.co.il
 * @version 1.0.0
 */


class leadmanager_session{
	public function __construct(){
		add_action( 'init','Dugi\leadmanager_session::register_session',20 );
	}
	
	
	static function register_session(){
		if( !session_id() )
			session_start();
		
		$di_lm_url_args = (isset($_SESSION['di_lm_url_args'])) ? (array)$_SESSION['di_lm_url_args'] : array();
		$lm_protected_args = (isset($_SESSION['lm_protected_args'])) ? (array)$_SESSION['lm_protected_args'] : array();
		
		$http_referer = (isset($_SERVER['HTTP_REFERER'])) ? $_SERVER['HTTP_REFERER'] : '';
		$lm_protected_args['lm_refext'] = (isset($lm_protected_args['lm_refext'])) ? $lm_protected_args['lm_refext'] : $http_referer ;
		$lm_protected_args['lm_ref'] = $http_referer;
		$lm_protected_args['lm_referer'] = "$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
		$lm_protected_args['lm_ip'] = $_SERVER['REMOTE_ADDR'];
		
		$_SESSION['lm_protected_args'] = $lm_protected_args;
		
		if (is_admin()){
			$_SESSION['di_lm_url_args'] = $di_lm_url_args;
		}else{
			$_SESSION['di_lm_url_args'] = wp_parse_args( (array)$_GET, $di_lm_url_args );
		}
	}
	
	static function get_url_args(){
		if( !session_id() )
			@self::register_session();
		return (isset($_SESSION['di_lm_url_args'])) ? (array)$_SESSION['di_lm_url_args'] : array();
	}
	static function get_protected_args(){
		if( !session_id() )
			@self::register_session();
		return (isset($_SESSION['lm_protected_args'])) ? (array)$_SESSION['lm_protected_args'] : array();
	}
	
	static function clear_args(){
		if( !session_id() )
			@self::register_session();
		$_SESSION['di_lm_url_args'] = array();
		$_SESSION['lm_protected_args'] = array();
	}	
	
	
}